Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class PreparedStyleSheet

    java.lang.Object
      |
      +--com.icl.saxon.PreparedStyleSheet

All Implemented Interfaces:
  javax.xml.transform.Templates

public class PreparedStyleSheet
extends java.lang.Object
implements javax.xml.transform.Templates

This PreparedStyleSheet class represents a StyleSheet that has been prepared for execution (or "compiled").

Constructor Summary
`protected` | `PreparedStyleSheet(TransformerFactoryImpl factory)` Constructor: deliberately protected

Method Summary
`NamePool` | `getNamePool()` Get the name pool in use
`java.util.Properties` | `getOutputProperties()` Get the properties for xsl:output.
`StyleNodeFactory` | `getStyleNodeFactory()` Get the StyleNodeFactory in use
`DocumentImpl` | `getStyleSheetDocument()` Get the root node of the principal stylesheet document
`TransformerFactoryImpl` | `getTransformerFactory()` Get the TransformerFactory used to create this PreparedStyleSheet
`javax.xml.transform.Transformer` | `newTransformer()` Make a Transformer from this Templates object.
`protected void` | `prepare(javax.xml.transform.sax.SAXSource styleSource)` Prepare a stylesheet from an InputSource
`void` | `reportError(javax.xml.transform.TransformerException err)` Report a compile time error.
`void` | `setNamePool(NamePool pool)` Set the name pool to be used
`protected void` | `setStyleSheetDocument(DocumentImpl doc)` Create a PreparedStyleSheet from a supplied DocumentInfo Note: the document must have been built using the StyleNodeFactory
`DocumentInfo` | `stripWhitespace(org.w3c.dom.Document doc)` Use the xsl:strip-space directives in this stylesheet to strip spaces from a source document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStyleSheet

    protected PreparedStyleSheet(TransformerFactoryImpl factory)

  Constructor: deliberately protected

Method Detail

### newTransformer

    public javax.xml.transform.Transformer newTransformer()

  Make a Transformer from this Templates object.
  Specified by:
    `newTransformer` in interface `javax.xml.transform.Templates`

### getTransformerFactory

    public TransformerFactoryImpl getTransformerFactory()

  Get the TransformerFactory used to create this PreparedStyleSheet

### setNamePool

    public void setNamePool(NamePool pool)

  Set the name pool to be used

### getNamePool

    public NamePool getNamePool()

  Get the name pool in use

### getStyleNodeFactory

    public StyleNodeFactory getStyleNodeFactory()

  Get the StyleNodeFactory in use

### prepare

    protected void prepare(javax.xml.transform.sax.SAXSource styleSource)
                    throws javax.xml.transform.TransformerConfigurationException

  Prepare a stylesheet from an InputSource

### setStyleSheetDocument

    protected void setStyleSheetDocument(DocumentImpl doc)
                                  throws javax.xml.transform.TransformerConfigurationException

  Create a PreparedStyleSheet from a supplied DocumentInfo Note: the document must have been built using the StyleNodeFactory

### getStyleSheetDocument

    public DocumentImpl getStyleSheetDocument()

  Get the root node of the principal stylesheet document

### getOutputProperties

    public java.util.Properties getOutputProperties()

  Get the properties for xsl:output. TRAX method. The object returned will be a clone of the internal values, and thus it can be mutated without mutating the Templates object, and then handed in to the process method.
  Specified by:
    `getOutputProperties` in interface `javax.xml.transform.Templates`
  Returns:
    A OutputProperties object that may be mutated. Note that if any attributes of xsl:output are written as attribute value templates, the values returned will be unexpanded.

### reportError

    public void reportError(javax.xml.transform.TransformerException err)
                     throws javax.xml.transform.TransformerException

  Report a compile time error. This calls the errorListener to output details of the error, and increments an error count.

### stripWhitespace

    public DocumentInfo stripWhitespace(org.w3c.dom.Document doc)
                                 throws javax.xml.transform.TransformerException

  Use the xsl:strip-space directives in this stylesheet to strip spaces from a source document. The rest of the stylesheet is ignored.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD